/*******************************************************************************
* @file		: uiappuser.c
* @author	: IMS Systems LAB & Technical Marketing
* @version	: V1.0.0
* @date		: 8-Jan-2013
* @brief	: Event Handlers
*******************************************************************************/
/* @attention
*
* THE PRESENT FIRMWARE WHICH IS FOR GUIDANCE ONLY AIMS AT PROVIDING CUSTOMERS
* WITH CODING INFORMATION REGARDING THEIR PRODUCTS IN ORDER FOR THEM TO SAVE
* TIME. AS A RESULT, STMICROELECTRONICS SHALL NOT BE HELD LIABLE FOR ANY
* DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
* FROM THE CONTENT OF SUCH FIRMWARE AND/OR THE USE MADE BY CUSTOMERS OF THE
* CODING INFORMATION CONTAINED HEREIN IN CONNECTION WITH THEIR PRODUCTS.
*
* <h2><center>&copy; COPYRIGHT 2013 STMicroelectronics</center></h2>
*******************************************************************************
*/ 
/*includes----------------------------------------------------------------------*/
#include "uiframework.h"
#include "uiappuser.h"
#include "LcdHal.h"
/** @addtogroup Embedded_GUI_Example
  * @{
  */

/** @defgroup User_Functions
  * @brief Contains event handlers for controls to execute the user code
  * @{
  */

/* External variables ----------------------------------------------------------*/
/* Private typedef -------------------------------------------------------------*/
/* Private defines -------------------------------------------------------------*/
/* Private macros --------------------------------------------------------------*/
/* Private variables -----------------------------------------------------------*/
/* Private function prototypes -------------------------------------------------*/
/* Private functions -----------------------------------------------------------*/

/**
  * @brief Icon click event handler
  * @note This function gets called when user clicks  DesignIcon06
  * @param None
  * @retval None
  */
void Start_DesignIcon06_Click()
{
}
/**
  * @brief Icon click event handler
  * @note This function gets called when user clicks  DesignIcon01
  * @param None
  * @retval None
  */
void Start_DesignIcon01_Click()
{
}
/**
  * @brief Button click event handler
  * @note This function gets called when user clicks  DesignButton01.
  * @param None
  * @retval None
  */
void Start_DesignButton01_Click()
{
	Show_s2();
}
/**
  * @brief Slidebar dragged event handler
  * @note This function is called when user drags the slideBar DesignSlideBar01.
  * @param None
  * @retval None
  */
void Start_DesignSlideBar01_ValueChanged()
{
}

/**
  * @brief Icon click event handler
  * @note This function gets called when user clicks  DesignIcon02
  * @param None
  * @retval None
  */
void s2_DesignIcon02_Click()
{
}
/**
  * @brief Button click event handler
  * @note This function gets called when user clicks  DesignButton03.
  * @param None
  * @retval None
  */
void s2_DesignButton03_Click()
{
}

/**
  * @}
  */

/**
  * @}
  */


/******************* (C) COPYRIGHT 2013 STMicroelectronics *****END OF FILE****/ 

