/*******************************************************************************
* @file		: uiappuser.h
* @author	: IMS Systems LAB & Technical Marketing
* @version	: V1.0.0
* @date		: 8-Jan-2013
* @brief	: Event HandlerDeclarations
*******************************************************************************/
/* @attention
*
* THE PRESENT FIRMWARE WHICH IS FOR GUIDANCE ONLY AIMS AT PROVIDING CUSTOMERS
* WITH CODING INFORMATION REGARDING THEIR PRODUCTS IN ORDER FOR THEM TO SAVE
* TIME. AS A RESULT, STMICROELECTRONICS SHALL NOT BE HELD LIABLE FOR ANY
* DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
* FROM THE CONTENT OF SUCH FIRMWARE AND/OR THE USE MADE BY CUSTOMERS OF THE
* CODING INFORMATION CONTAINED HEREIN IN CONNECTION WITH THEIR PRODUCTS.
*
* <h2><center>&copy; COPYRIGHT 2013 STMicroelectronics</center></h2>
*******************************************************************************
*/ 
/* Define to prevent recursive inclusion -------------------------------------*/ 
#ifndef __UIAPPUSER_H
#define __UIAPPUSER_H
#ifdef __cplusplus
extern "C" {
#endif

/* Includes ------------------------------------------------------------------*/
/* Exported types --------------------------------------------------------------*/
/* Exported constants ----------------------------------------------------------*/
/* Exported macros -------------------------------------------------------------*/

/* Exported functions ----------------------------------------------------------*/
 

/**
  * @brief Icon click event handler
  * @note This function gets called when user clicks  DesignIcon06
  * @param None
  * @retval None
  */
void Start_DesignIcon06_Click(void);


/**
  * @brief Icon click event handler
  * @note This function gets called when user clicks  DesignIcon01
  * @param None
  * @retval None
  */
void Start_DesignIcon01_Click(void);


/**
  * @brief Button click event handler
  * @note This function gets called when user clicks  DesignButton01.
  * @param None
  * @retval None
  */
void Start_DesignButton01_Click(void);


/**
  * @brief Slidebar dragged event handler
  * @note This function is called when user drags the slideBar DesignSlideBar01.
  * @param None
  * @retval None
  */
void Start_DesignSlideBar01_ValueChanged(void);



/**
  * @brief Icon click event handler
  * @note This function gets called when user clicks  DesignIcon02
  * @param None
  * @retval None
  */
void s2_DesignIcon02_Click(void);


/**
  * @brief Button click event handler
  * @note This function gets called when user clicks  DesignButton03.
  * @param None
  * @retval None
  */
void s2_DesignButton03_Click(void);



#ifdef __cplusplus
}
#endif

#endif /*__UIAPPUSER_H */ 

/******************* (C) COPYRIGHT 2013 STMicroelectronics *****END OF FILE****/ 

