/*******************************************************************************
* @file		: uiframework.c
* @author	: IMS Systems LAB & Technical Marketing
* @version	: V1.0.0
* @date		: 8-Jan-2013
* @brief	: Screen Code
*******************************************************************************/
/* @attention
*
* THE PRESENT FIRMWARE WHICH IS FOR GUIDANCE ONLY AIMS AT PROVIDING CUSTOMERS
* WITH CODING INFORMATION REGARDING THEIR PRODUCTS IN ORDER FOR THEM TO SAVE
* TIME. AS A RESULT, STMICROELECTRONICS SHALL NOT BE HELD LIABLE FOR ANY
* DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
* FROM THE CONTENT OF SUCH FIRMWARE AND/OR THE USE MADE BY CUSTOMERS OF THE
* CODING INFORMATION CONTAINED HEREIN IN CONNECTION WITH THEIR PRODUCTS.
*
* <h2><center>&copy; COPYRIGHT 2013 STMicroelectronics</center></h2>
*******************************************************************************
*/ 
/*includes----------------------------------------------------------------------*/
#include "uiframework.h"
#include "uiappuser.h"
#include "float.h"
#include "LcdHal.h"
#include "TscHal.h"
#include "pictures.h"

GL_Page_TypeDef *CurrentScreen;

/** @addtogroup Embedded_GUI_Example
  * @{
  */

/** @defgroup UI_Framework
  * @brief This file contains functions to configure the screens and controls
  * @{
  */

/* External variables ----------------------------------------------------------*/
/* Private typedef -------------------------------------------------------------*/
/* Private defines -------------------------------------------------------------*/
/* Private macros --------------------------------------------------------------*/
/* Private variables -----------------------------------------------------------*/
GL_Page_TypeDef Start;
GL_Page_TypeDef s2;
/* Private function prototypes -------------------------------------------------*/
/* Private functions -----------------------------------------------------------*/
/**
  * @brief Create and configure screen object
  * @note This control creates the screen object and configures contained controls
  * @param None
  * @retval None
  */
void Create_Start() 
{ 

	GL_PageControls_TypeDef* DesignLabel02= NewLabel(1,"Label02",GL_HORIZONTAL,GL_FONT_SMALL,DesignLabel02Color);
	GL_PageControls_TypeDef* DesignIcon06= NewIcon (2,DesignIcon06_Image,80,60,Start_DesignIcon06_Click);
	GL_PageControls_TypeDef* DesignIcon01= NewIcon (3,DesignIcon01_Image,160,120,Start_DesignIcon01_Click);
	GL_PageControls_TypeDef* DesignButton01= NewButton(4,"Next",Start_DesignButton01_Click);
	GL_PageControls_TypeDef* DesignSlideBar01= NewSlidebar(5,"Volume",GL_HORIZONTAL,Start_DesignSlideBar01_ValueChanged);
	Create_PageObj( &Start ); 
	AddPageControlObj(199,160,DesignLabel02,&Start);
	AddPageControlObj(239,176,DesignIcon06,&Start);
	AddPageControlObj(183,32,DesignIcon01,&Start);
	AddPageControlObj(247,32,DesignButton01,&Start);
	AddPageControlObj(151,192,DesignSlideBar01,&Start);
}


/**
  * @brief Create and configure screen object
  * @note This control creates the screen object and configures contained controls
  * @param None
  * @retval None
  */
void Create_s2() 
{ 

	GL_PageControls_TypeDef* DesignIcon02= NewIcon (6,DesignIcon02_Image,320,240,s2_DesignIcon02_Click);
	GL_PageControls_TypeDef* DesignButton03= NewButton(7,"Button03",s2_DesignButton03_Click);
	Create_PageObj( &s2 ); 
	AddPageControlObj(319,0,DesignIcon02,&s2);
	AddPageControlObj(287,192,DesignButton03,&s2);
}




/**
  * @brief Show screen object
  * @note This control displayed the specified screen object
  * @param None
  * @retval None
  */
void Show_Start()
{ 
	if(CurrentScreen!=GL_NULL)
	{
		CurrentScreen->ShowPage(CurrentScreen,GL_FALSE);
	}
	GL_Clear(51199);
	GL_SetTextColor(63488);
	Start.ShowPage(&Start, GL_TRUE);
	CurrentScreen=&Start; 
} 

/**
  * @brief Show screen object
  * @note This control displayed the specified screen object
  * @param None
  * @retval None
  */
void Show_s2()
{ 
	if(CurrentScreen!=GL_NULL)
	{
		CurrentScreen->ShowPage(CurrentScreen,GL_FALSE);
	}
	GL_Clear(65535);
	GL_SetTextColor(63488);
	s2.ShowPage(&s2, GL_TRUE);
	CurrentScreen=&s2; 
} 

/**
  * @brief Controls home screen
  * @param None
  * @retval None
  */
void Show_HomeScreen()
{
	Create_Start();
	Create_s2();
	CurrentScreen = &Start;
	GL_Clear(51199);
	GL_SetTextColor(63488);
	Start.ShowPage(&Start,GL_TRUE);
}

/**
  * @}
  */

/**
  * @}
  */


/******************* (C) COPYRIGHT 2013 STMicroelectronics *****END OF FILE****/ 

